<!DOCTYPE html>
<html>
	<head>
		<title>Untitled Page</title>
	</head>

	<body>
		<h1>The Seinfeld Family</h1>
		<table id="Seinfeld Family" bgcolor="#66ffc" border="1" style="width:533px;">
			<tr bgcolor="#ff0000"><th>First Name</th><th>Last Name</th></tr>
			<tr><td>George</td><td>Constanza</td></tr>
			<tr><td>Jerry</td><td>Seinfeld</td></tr>
			<tr><td>Krammer</td><td>Cosmo</td></tr>
			<tr><td>Elaine</td><td>Benice</td></tr>
			<tr><td>Larry</td><td>King</td></tr>
			<tr><td>Bill</td><td>O'Reilly</td></tr>
		</table>
		<div>
			<label>First Name   </label><input id="FirstName" name="FirstName" type="text" ><br>
			<label>Last Name   </label><input id="LastName" name="LastName" type="text" ><br>
		</div>
		
		<script type="text/javascript">
			//insert here code to attach the MoveValuesIn() and RemoveValues() methods to each row
			const table=document.getElementById("Seinfeld Family");
			const tableRows=table.rows;
			const tableCells=table.getElementsByTagName("TD");

			const firstNameInput = document.getElementById("FirstName");
			const lastNameInput = document.getElementById("LastName");

			//step a)
			for (let i = 1; i < tableRows.length; i++) {
				const currentRow = tableRows[i];
				const cells = currentRow.cells;

				currentRow.addEventListener("mouseover", MoveValuesIn);
				currentRow.addEventListener("mouseout", RemoveValues);

				for (let j = 0; j < cells.length; j++) {
					const currentCell = cells[j];
					currentCell.addEventListener("mouseover", MakeBold);
					currentCell.addEventListener("mouseout", RemoveBold);
				}
			}
			//step c)
			//event handlers
			function MoveValuesIn()
			{
				const firstName = this.children[0].innerHTML;
				const lastName = this.children[1].innerHTML;
				firstNameInput.value = firstName;
				lastNameInput.value = lastName;
			}
			
			function RemoveValues()
			{
				firstNameInput.value = "";
				lastNameInput.value = "";
			}
			
			//step e)
			function MakeBold()
			{
				this.style.fontWeight = "bold";
				if (this.cellIndex == 0) {
					firstNameInput.style.fontWeight = "bold";
				}
				else {
					lastNameInput.style.fontWeight = "bold";
				}
			}
			
			function RemoveBold()
			{
				this.style.fontWeight = "normal";
				firstNameInput.style.fontWeight = "normal";
				lastNameInput.style.fontWeight = "normal";
			}

		</script>
	</body>
</html>
